Last Comment Bug 668053 - Add a DIR_INSTALL nsinstall shortcut, and allow $(INSTALL) to support target-specific makefiles
: Add a DIR_INSTALL nsinstall shortcut, and allow $(INSTALL) to support target-...
Status: RESOLVED FIXED
[fixed-in-bs]
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla8
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-28 15:11 PDT by Siddharth Agarwal [:sid0] (inactive)
Modified: 2011-08-02 06:55 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1 (6.91 KB, patch)
2011-06-28 15:11 PDT, Siddharth Agarwal [:sid0] (inactive)
no flags Details | Diff | Splinter Review
patch v2 (5.41 KB, patch)
2011-06-28 17:50 PDT, Siddharth Agarwal [:sid0] (inactive)
ted: review+
Details | Diff | Splinter Review

Description Siddharth Agarwal [:sid0] (inactive) 2011-06-28 15:11:46 PDT
Created attachment 542619 [details] [diff] [review]
patch v1

This is primarily something I need on comm-central, but I decided to port this over to m-c too. The two are related because sometimes we'd like to recursively copy over stuff and not symlink it (at least I did!).

This built fine locally -- I've pushed to try server to see what happens.
Comment 1 Siddharth Agarwal [:sid0] (inactive) 2011-06-28 16:02:29 PDT
Bug 668058 is the comm-central version.
Comment 2 Siddharth Agarwal [:sid0] (inactive) 2011-06-28 17:50:47 PDT
Created attachment 542693 [details] [diff] [review]
patch v2

This retains the predicate TEST_INSTALLER used to use. Try server gave v1 the thumbs up, and I think this is even better :)
Comment 3 Siddharth Agarwal [:sid0] (inactive) 2011-06-30 11:48:24 PDT
I'm thinking something like DIR_INSTALL might be a better name, since we might either symlink it or recursively copy it.
Comment 4 Ted Mielczarek [:ted.mielczarek] 2011-07-08 10:10:10 PDT
Comment on attachment 542693 [details] [diff] [review]
patch v2

Review of attachment 542693 [details] [diff] [review]:
-----------------------------------------------------------------

::: config/config.mk
@@ +683,2 @@
>  else
> +INSTALL_PWD     = `$(NFSPWD)`

Can you file a followup to get rid of NFSPWD? It looks like some ancient cruft that was probably only useful at Netscape or something.
Comment 5 Siddharth Agarwal [:sid0] (inactive) 2011-07-08 14:38:21 PDT
Ted was undecided about whether to switch to DIR_INSTALL, so I went ahead.

https://hg.mozilla.org/projects/build-system/rev/aeb17d9bdc0d

(sorry for the wrong bug number -- 668058 was the comm-central version and I got confused between the two. In hindsight, I should have just filed a single bug.)
Comment 6 Siddharth Agarwal [:sid0] (inactive) 2011-07-08 14:42:23 PDT
(In reply to comment #4)
> ::: config/config.mk
> @@ +683,2 @@
> >  else
> > +INSTALL_PWD     = `$(NFSPWD)`
> 
> Can you file a followup to get rid of NFSPWD? It looks like some ancient
> cruft that was probably only useful at Netscape or something.

Filed as bug 670249.
Comment 7 Siddharth Agarwal [:sid0] (inactive) 2011-08-02 06:55:39 PDT
http://hg.mozilla.org/mozilla-central/rev/aeb17d9bdc0d

Note You need to log in before you can comment on or make changes to this bug.